<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <parent>
    <groupId>ru.entaxy.esb.platform.runtime</groupId>
    <artifactId>core</artifactId>
    <version>1.8.2.2</version>
  </parent>
  <groupId>ru.entaxy.esb.platform.runtime.core</groupId>
  <artifactId>object-producing</artifactId>
  <packaging>pom</packaging>
  <name>ENTAXY :: PLATFORM :: CORE :: OBJECT PRODUCING</name>
  <description>ENTAXY :: PLATFORM :: CORE :: OBJECT PRODUCING</description>
  
  <dependencies>
        <dependency>
            <groupId>com.google.code.gson</groupId>
            <artifactId>gson</artifactId>
        </dependency>
	  	<dependency>
	  		<groupId>org.osgi</groupId>
	  		<artifactId>org.osgi.service.component.annotations</artifactId>
	  	</dependency>        
        <dependency>
        	<groupId>org.apache.felix</groupId>
        	<artifactId>org.apache.felix.scr</artifactId>
        </dependency>
	  	<dependency>
	  		<groupId>ru.entaxy.esb.platform.runtime.base</groupId>
	  		<artifactId>base-support</artifactId>
	  		<version>${project.version}</version>
	  	</dependency>
	    <dependency>
	    	<groupId>org.apache.commons</groupId>
	    	<artifactId>commons-collections4</artifactId>
	    </dependency>
	    <dependency>
	    	<groupId>
	    		ru.entaxy.esb.platform.runtime.base.objects-base
	    	</groupId>
	    	<artifactId>objects-core</artifactId>
	    	<version>1.8.2.2</version>
	    	<type>bundle</type>
	    </dependency>
	    <dependency>
	    	<groupId>
	    		ru.entaxy.esb.platform.runtime.base.objects-base
	    	</groupId>
	    	<artifactId>object-factory</artifactId>
	    	<version>1.8.2.2</version>
	    	<type>bundle</type>
	    </dependency>
  </dependencies>  
  
  <modules>
  	<module>object-producer-api</module>
  	<module>object-producer-core</module>
  	<module>object-producing-shell</module>
  	<module>object-producing-management</module>
  	<module>object-producing-config-support</module>
  </modules>
</project>